dns_browse(1)

NAME
dns_tree — command-line frontend to dig

SYNOPSIS

dns_tree [-f] [-v] [-d] [-t TYPE] [-m MATCH] DNS_domain

DESCRIPTION

This manual page documents briefly the dns_tree command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

dns_tree is a program that works as a front-end to dig. Given a specific domain dns_tree will make several dig invocations to fetch a zone and it will format the output in in a somewhat sensible hierarchical style (a tree).

Information extracted from the DNS relies on being possible to fetch a zone through a zone transfer. If the DNS servers for the requested domain do not allow file transfers dns_tree will not be able to obtain information from the zone.

All data obtain is cached in ~/.DNS_BROWSE with an approximation of the usual DNS caching rules. Remove all files in that directory to prematurely flush the cache.

OPTIONS

A summary of options is included below.

-t TYPE
    Show only records of TYPE. This argument can be repeated to indicate multiple types. Use the "all" type to print all the known types.

-m MATCH
    Show only records in which the first component matches the PERL regexpt MATCH.

-h  Show summary of options.

-v  Enable verbose mode. All DNS requests are printed in the standard error.

-d  Enable debug output. Presents internal information of the program

-f  Override warnings (force).

SEE ALSO

dig (1), dns_browse (1), perlrequick (1).

AUTHOR

This manual page was written by Javier Fernandez-Sanguino jfs@debian.org for the Debian system (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.